///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

BOOL CALLBACK ViewLogDialog(HWND xHandle, UINT xMessage, WPARAM wParam, LPARAM lParam)
{
    //--------------------------------------------------------------------------

    static HWND LogView_hWnd    = NULL;

    //--------------------------------------------------------------------------

    if(xMessage == WM_INITDIALOG) // Received A Initilize Dialog Message
    {
        ViewLogDialog_hWnd = xHandle;

        SendMessage(ViewLogDialog_hWnd, (UINT)WM_SETTEXT, (WPARAM)0, (LPARAM)"Log Viewer");
        SendMessage(ViewLogDialog_hWnd, WM_SETICON, TRUE, (LPARAM) LoadIcon(MainInstance, MAKEINTRESOURCE(100)) );

        LogView_hWnd = GetDlgItem(ViewLogDialog_hWnd, 1000);

        ViewLogFile(LogView_hWnd);

        SendMessage(LogView_hWnd, (UINT)WM_CLEAR, (WPARAM)0, (LPARAM)0);



        CenterWindow(ViewLogDialog_hWnd);

        return 0;
    }

    //--------------------------------------------------------------------------

    if(xMessage == WM_SHOWWINDOW)
        SendMessage(LogView_hWnd, (UINT)EM_SETSEL, (WPARAM)-1, (LPARAM)0);

    //--------------------------------------------------------------------------

    if(xMessage == WM_SIZE ) // Received A Message
    {
        int nWidth = LOWORD(lParam);
        int nHeight = HIWORD(lParam);
        MoveWindow(LogView_hWnd, 0, 0, nWidth, nHeight, TRUE);
        return 0;
    }

    //--------------------------------------------------------------------------

    if(xMessage == WM_CLOSE)  // Received Close Message
    {
        EndDialog(ViewLogDialog_hWnd,0);
        DestroyWindow(ViewLogDialog_hWnd);
        return 0;
    }

    //--------------------------------------------------------------------------

    if(xMessage == WM_DESTROY) // Received Destroy Message
    {
//        PostQuitMessage(0);
        return 0;
    }

    //--------------------------------------------------------------------------

    return 0;
}
///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

