///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

BOOL GetValues(void)
{
    unsigned long SizeOfBuffer = 256;

    if(!Get_DWORDRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "DisplaySplash", (DWORD &)DisplaySplash))
        return FALSE;

    if(!Get_DWORDRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "BackupTrusted", (DWORD &)BackupTrusted))
        return FALSE;

    if(!Get_DWORDRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "RestoreTrusted", (DWORD &)RestoreTrusted))
        return FALSE;

    if(!Get_DWORDRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "AllOnHold", (DWORD &)AllOnHold))
        return FALSE;

    ClearMem(BackupServer, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "BackupServer", BackupServer, SizeOfBuffer))
        return FALSE;

    ClearMem(RestoreServer, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "RestoreServer", RestoreServer, SizeOfBuffer))
        return FALSE;

    ClearMem(BackupDataBase, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "BackupDataBase", BackupDataBase, SizeOfBuffer))
        return FALSE;

    ClearMem(RestoreDataBase, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "RestoreDataBase", RestoreDataBase, SizeOfBuffer))
        return FALSE;

    ClearMem(BackupDriver, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "BackupDriver", BackupDriver, SizeOfBuffer))
        return FALSE;

    ClearMem(RestoreDriver, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "RestoreDriver", RestoreDriver, SizeOfBuffer))
        return FALSE;

    ClearMem(BackupDataBase, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "BackupDataBase", BackupDataBase, SizeOfBuffer))
        return FALSE;

    ClearMem(RestoreDataBase, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "RestoreDataBase", RestoreDataBase, SizeOfBuffer))
        return FALSE;

    ClearMem(BackupUserID, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "BackupUserID", BackupUserID, SizeOfBuffer))
        return FALSE;

    ClearMem(BackupUserPW, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "BackupUserPW", BackupUserPW, SizeOfBuffer))
        return FALSE;

    ClearMem(RestoreUserID, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "RestoreUserID", RestoreUserID, SizeOfBuffer))
        return FALSE;

    ClearMem(RestoreUserPW, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "RestoreUserPW", RestoreUserPW, SizeOfBuffer))
        return FALSE;

    ClearMem(BackupFile, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "BackupFile", BackupFile, SizeOfBuffer))
        return FALSE;

    ClearMem(RestoreFile, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "RestoreFile", RestoreFile, SizeOfBuffer))
        return FALSE;

    ClearMem(LogFileName, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "LogFileName", LogFileName, SizeOfBuffer))
        return FALSE;

    ClearMem(SavedDataFile, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "SavedDataFile", SavedDataFile, SizeOfBuffer))
        return FALSE;

    //-------------------------------------------------------------------------------------------------------

    ClearMem(MasterDriver, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "MasterDriver", MasterDriver, SizeOfBuffer))
        return FALSE;

    ClearMem(MasterServer, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "MasterServer", MasterServer, SizeOfBuffer))
        return FALSE;

    ClearMem(MasterDatabase, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "MasterDatabase", MasterDatabase, SizeOfBuffer))
        return FALSE;

    ClearMem(MasterUID, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "MasterUID", MasterUID, SizeOfBuffer))
        return FALSE;

    ClearMem(MasterPWS, 256);
    if(!Get_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "MasterPWS", MasterPWS, SizeOfBuffer))
        return FALSE;

    return TRUE;
}

///////////////////////////////////////////////////////////////////////////////////////////

BOOL SetValues(void)
{
    if(!Set_DWORDRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "DisplaySplash", (DWORD)DisplaySplash))
        return FALSE;

    if(!Set_DWORDRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "BackupTrusted", (DWORD)BackupTrusted))
        return FALSE;

    if(!Set_DWORDRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "RestoreTrusted", (DWORD)RestoreTrusted))
        return FALSE;

    if(!Set_DWORDRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "AllOnHold", (DWORD)AllOnHold))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "BackupServer", BackupServer))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "RestoreServer", RestoreServer))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "BackupDataBase", BackupDataBase))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "RestoreDataBase", RestoreDataBase))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "BackupDriver", BackupDriver))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "RestoreDriver", RestoreDriver))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "BackupDataBase", BackupDataBase))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "RestoreDataBase", RestoreDataBase))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "BackupUserID", BackupUserID))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "BackupUserPW", BackupUserPW))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "RestoreUserID", RestoreUserID))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "RestoreUserPW", RestoreUserPW))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "BackupFile", BackupFile))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "RestoreFile", RestoreFile))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "LogFileName", LogFileName))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "SavedDataFile", SavedDataFile))
        return FALSE;

    //-------------------------------------------------------------------------------------------------------

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "MasterDriver", MasterDriver))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "MasterServer", MasterServer))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "MasterDatabase", MasterDatabase))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "MasterUID", MasterUID))
        return FALSE;

    if(!Set_StringRegistryValue(HKEY_LOCAL_MACHINE, RegistryKey, "MasterPWS", MasterPWS))
        return FALSE;

    return TRUE;
}


///////////////////////////////////////////////////////////////////////////////////////////////////////////////////////

